Get UPI
Endpoint
POST /cashin/india/order/getUpi
Request Headers
| Name | Required | Example | Description |
|---|---|---|---|
Content-Type | Yes | application/json | |
lang | No | en | Response language: zh Chinese, en English, pt Portuguese |
Request Parameters
| Field | Type | Required | Description |
|---|---|---|---|
mchId | integer | Yes | Merchant ID |
timestamp | integer | Yes | Current timestamp — Unix timestamp in seconds |
sign | string | Yes | Signature |
Request Example
json
"{\n \"mchId\": 10004,\n \"timestamp\": 16899293059,\n \"sign\": \"xxxxxxxxxxxx\",\n}"Response Parameters
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | Yes | Status — 200 means success |
msg | null | Yes | |
data | object | Yes | |
data.upiList | array | Yes | UPI list |
data.upiObjList | array | Yes | UPI object list |
Response Example
json
{
"status": 200,
"msg": null,
"data": {
"upiList": [
"amerospharma@sbi",
"subratabrothers@sbi"
],
"upiObjList": [
{
"account": "amerospharma@sbi",
"acc_name": "AMEROX PHARMA"
},
{
"account": "subratabrothers@sbi",
"acc_name": "SUBRATA BROTHERS"
}
]
}
}